// Polyray include file: CAMCALC.INC
// by Rob McGregor

/**************************************************************
  Calculate the values of location vectors for the camera
***************************************************************/

define camPx t3 * (-0.5 * cam_n1x[key]) + t3 * (1.5 * cam_n2x[key]) + t3 * 
             (-1.5 * cam_n3x[key]) + t3 * (0.5 * cam_n4x[key]) + t2 * 
             cam_n1x[key] + t2 * (-2.5 * cam_n2x[key]) + t2 * (2 * cam_n3x[key]) + 
             t2 * (-0.5 * cam_n4x[key]) + t * (-0.5 * cam_n1x[key]) + t * 
             (0.5 * cam_n3x[key]) + cam_n2x[key]

define camPy t3 * (-0.5 * cam_n1y[key]) + t3 * (1.5 * cam_n2y[key]) + t3 * 
             (-1.5 * cam_n3y[key]) + t3 * (0.5 * cam_n4y[key]) + t2 * 
             cam_n1y[key] + t2 * (-2.5 * cam_n2y[key]) + t2 * (2 * cam_n3y[key]) + 
             t2 * (-0.5 * cam_n4y[key]) + t * (-0.5 * cam_n1y[key]) + t * 
             (0.5 * cam_n3y[key]) + cam_n2y[key]

define camPz t3 * (-0.5 * cam_n1z[key]) + t3 * (1.5 * cam_n2z[key]) + t3 * 
             (-1.5 * cam_n3z[key]) + t3 * (0.5 * cam_n4z[key]) + t2 * 
             cam_n1z[key] + t2 * (-2.5 * cam_n2z[key]) + t2 * (2 * cam_n3z[key]) + 
             t2 * (-0.5 * cam_n4z[key]) + t * (-0.5 * cam_n1z[key]) + t * 
             (0.5 * cam_n3z[key]) + cam_n2z[key]

/**************************************************************
  Calculate the values of the "look at" vector for the camera
***************************************************************/

define atPy t3 * (-0.5 * at_n1y[key]) + t3 * (1.5 * at_n2y[key]) + t3 * 
            (-1.5 * at_n3y[key]) + t3 * (0.5 * at_n4y[key]) + t2 * 
            at_n1y[key] + t2 * (-2.5 * at_n2y[key]) + t2 * (2 * at_n3y[key]) + 
            t2 * (-0.5 * at_n4y[key]) + t * (-0.5 * at_n1y[key]) + t * 
            (0.5 * at_n3y[key]) + at_n2y[key]

define atPz t3 * (-0.5 * at_n1z[key]) + t3 * (1.5 * at_n2z[key]) + t3 * 
            (-1.5 * at_n3z[key]) + t3 * (0.5 * at_n4z[key]) + t2 * 
            at_n1z[key] + t2 * (-2.5 * at_n2z[key]) + t2 * (2 * at_n3z[key]) + 
            t2 * (-0.5 * at_n4z[key]) + t * (-0.5 * at_n1z[key]) + t * 
            (0.5 * at_n3z[key]) + at_n2z[key]
