// Polyray include file: CAMPATH.INC
// by Rob McGregor
//
// Spline path information for camera animation

/****************************************************************
 Define 4 local 3-D control points as arrays for the camera path
 along the x and z-axes...

 points: 
   x-axis:   9.0,   9.0,   8.5,  5.0,  1, -2.0, -4, -1.0,  0.0,  0.0 
   y-axis:   0.5,   0.5,   1.0,  1.5,  2,  2.5,  3,  3.5,  3.5,  3.5
   z-axis: -12.0, -12.0, -10.5, -9.0, -6, -2.0,  2,  6.0, 10.0, 10.0
*****************************************************************/

static define cam_n1x [  9.0,   9.0,   8.5,  5.0,  1, -2.0, -4]
static define cam_n1y [  0.5,   0.5,   1.0,  1.5,  2,  2.5,  3]
static define cam_n1z [-12.0, -12.0, -10.5, -9.0, -6, -2.0,  2]

static define cam_n2x [  9.0,   8.5,  5.0,  1, -2.0, -4, -1.0]
static define cam_n2y [  0.5,   1.0,  1.5,  2,  2.5,  3,  3.5]
static define cam_n2z [-12.0, -10.5, -9.0, -6, -2.0,  2,  6.0]

static define cam_n3x [  8.5,  5.0,  1, -2.0, -4, -1.0,  0.0]
static define cam_n3y [  1.0,  1.5,  2,  2.5,  3,  3.5,  3.5]
static define cam_n3z [-10.5, -9.0, -6, -2.0,  2,  6.0, 10.0]

static define cam_n4x [ 5.0,  1, -2.0, -4, -1.0,  0.0,  0.0]
static define cam_n4y [ 1.5,  2,  2.5,  3,  3.5,  3.5,  3.5]
static define cam_n4z [-9.0, -6, -2.0,  2,  6.0, 10.0, 10.0]

/****************************************************************
 Define the "look at" coordinates.  The camera looks at the 
 origin <0, 0, 0> until key frame 5, then pans to look at 
 picture2, located at <0, 3.5, 10>

 points:
   y-axis: 0, 0, 0, 0,  1,  1.5,  2.5,  3,  3.5,  3.5
   z-axis: 0, 2, 5, 8, 10, 10.0, 10.0, 10, 10.0, 10.0
*****************************************************************/

static define at_n1y [0, 0, 0, 0,  1,  1.5,  2.5]
static define at_n1z [0, 2, 5, 8, 10, 10.0, 10.0]

static define at_n2y [0, 0, 0,  1,  1.5,  2.5,  3]
static define at_n2z [2, 5, 8, 10, 10.0, 10.0, 10]

static define at_n3y [0, 0,  1,  1.5,  2.5,  3,  3.5]
static define at_n3z [5, 8, 10, 10.0, 10.0, 10, 10.0]

static define at_n4y [0,  1,  1.5,  2.5,  3,  3.5,  3.5]
static define at_n4z [8, 10, 10.0, 10.0, 10, 10.0, 10.0]



