// Polyray include file: SPHRPATH.INC
// by Rob McGregor
//
// Spline path information for three spheres

/**************************************************************
 Define 4 local 3-D control points as arrays for sphere1 (red)

 points: 
   x-axis:  0,  0,  3,  4, 2, -4, -6, -4,  0,  0
   y-axis:  1,  1,  3,  1, 0, -2,  1,  2,  1,  1
   z-axis: -8, -8, -5, -1, 5,  5,  2, -5, -8, -8
***************************************************************/

static define s1n1x [ 0,  0,  3,  4, 2, -4, -6]
static define s1n1y [ 1,  1,  3,  1, 0, -2,  1]
static define s1n1z [-8, -8, -5, -1, 5,  5,  2]

static define s1n2x [ 0,  3,  4, 2, -4, -6, -4]
static define s1n2y [ 1,  3,  1, 0, -2,  1,  2]
static define s1n2z [-8, -5, -1, 5,  5,  2, -5]

static define s1n3x [ 3,  4, 2, -4, -6, -4,  0]
static define s1n3y [ 3,  1, 0, -2,  1,  2,  1]
static define s1n3z [-5, -1, 5,  5,  2, -5, -8]

static define s1n4x [ 4, 2, -4, -6, -4,  0,  0]
static define s1n4y [ 1, 0, -2,  1,  2,  1,  1]
static define s1n4z [-1, 5,  5,  2, -5, -8, -8]

/***************************************************************
 Define 4 local 3-D control points as arrays for sphere2 (blue)

 points: 
   x-axis:  5,  5, 4, 2, -2, -2, -1,  2,  5,  5
   y-axis:  2,  2, 1, 0,  1,  0, -2,  1,  2,  2
   z-axis: -5, -5, 0, 3,  4,  2, -2, -4, -5, -5 
****************************************************************/

static define s2n1x [ 5,  5, 4, 2, -2, -2, -1]
static define s2n1y [ 2,  2, 1, 0,  1,  0, -2]
static define s2n1z [-5, -5, 0, 3,  4,  2, -2]

static define s2n2x [ 5, 4, 2, -2, -2, -1,  2]
static define s2n2y [ 2, 1, 0,  1,  0, -2,  1]
static define s2n2z [-5, 0, 3,  4,  2, -2, -4]

static define s2n3x [4, 2, -2, -2, -1,  2,  5]
static define s2n3y [1, 0,  1,  0, -2,  1,  2]
static define s2n3z [0, 3,  4,  2, -2, -4, -5]

static define s2n4x [2, -2, -2, -1,  2,  5,  5]
static define s2n4y [0,  1,  0, -2,  1,  2,  2]
static define s2n4z [3,  4,  2, -2, -4, -5, -5]

/****************************************************************
 Define 4 local 3-D control points as arrays for sphere3 (green)

 points: 
   x-axis:  -5, -5, -2, 2, 5,  7,  3, -2, -5, -5
   y-axis:   0,  0,  2, 3, 2, -1, -2, -1,  0,  0
   z-axis:  -3, -3,  1, 5, 5,  2, -3, -6, -3, -3
*****************************************************************/

static define s3n1x [-5, -5, -2, 2, 5,  7,  3]
static define s3n1y [ 0,  0,  2, 3, 2, -1, -2]
static define s3n1z [-3, -3,  1, 5, 5,  2, -3]

static define s3n2x [-5, -2, 2, 5,  7,  3, -2]
static define s3n2y [ 0,  2, 3, 2, -1, -2, -1]
static define s3n2z [-3,  1, 5, 5,  2, -3, -6]

static define s3n3x [-2, 2, 5,  7,  3, -2, -5]
static define s3n3y [ 2, 3, 2, -1, -2, -1,  0]
static define s3n3z [ 1, 5, 5,  2, -3, -6, -3]

static define s3n4x [2, 5,  7,  3, -2, -5, -5]
static define s3n4y [3, 2, -1, -2, -1,  0,  0]
static define s3n4z [5, 5,  2, -3, -6, -3, -3]

