// Polyray include file: SPOTPATH.INC
// by Rob McGregor
//
// Spline information for key frame path animation

/************************************************
 Define 4 local 3-D control points as arrays for 
 the path along the x and z-axes (spot1)...

  points:
    x-axis: 0, 0, 3, 0, -3, -5, -8, -5, 0, 0
    y-axis: 0, 0, 1, 0, -1,  3,  4,  2, 0, 0
    z-axis: 0, 0, 3, 0, -5,  0,  5,  0, 0, 0
*************************************************/

static define L1n1x[0, 0, 3, 0, -3, -5, -8]
static define L1n1y[0, 0, 1, 0, -1,  3,  4]
static define L1n1z[0, 0, 3, 0, -5,  0,  5]
 
static define L1n2x[0, 3, 0, -3, -5, -8, -5]
static define L1n2y[0, 1, 0, -1,  3,  4,  2]
static define L1n2z[0, 3, 0, -5,  0,  5,  0]
 
static define L1n3x[3, 0, -3, -5, -8, -5, 0]
static define L1n3y[1, 0, -1,  3,  4,  2, 0]
static define L1n3z[3, 0, -5,  0,  5,  0, 0]
 
static define L1n4x[0, -3, -5, -8, -5, 0, 0]
static define L1n4y[0, -1,  3,  4,  2, 0, 0]
static define L1n4z[0, -5,  0,  5,  0, 0, 0]
 
/************************************************
 Define 4 local 3-D control points as arrays for 
 the path along the x and z-axes (spot2)...

  points:
    x-axis: 0, 0, -4, 0,  3, -8, -9, -5, 0, 0
    y-axis: 0, 0,  2, 4,  3,  2,  0,  1, 0, 0
    z-axis: 0, 0,  3, 5,  9,  9,  5,  3, 0, 0
*************************************************/

static define L2n1x[0, 0, -4, 0,  3, -8, -9]
static define L2n1y[0, 0,  2, 4,  3,  2,  0]
static define L2n1z[0, 0,  3, 5,  9,  9,  5]
 
static define L2n2x[0, -4, 0,  3, -8, -9, -5]
static define L2n2y[0, 2, 4,  3,  2,  0,  1]
static define L2n2z[0, 3, 5,  9,  9,  5,  3]
 
static define L2n3x[-4, 0,  3, -8, -9, -5, 0]
static define L2n3y[2, 4,  3,  2,  0,  1, 0]
static define L2n3z[3, 5,  9,  9,  5,  3, 0]
 
static define L2n4x[0,  3, -8, -9, -5, 0, 0]
static define L2n4y[4,  3,  2,  0,  1, 0, 0]
static define L2n4z[5,  9,  9,  5,  3, 0, 0]
 
